package flink.zanxiangnet.ad.monitoring.pojo.entity;

import com.google.gson.annotations.SerializedName;
import flink.zanxiangnet.ad.monitoring.maxcompute.bean.annotation.MaxComputeColumn;
import flink.zanxiangnet.ad.monitoring.maxcompute.bean.annotation.MaxComputeTable;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@MaxComputeTable("ad_data_of_day_ods")
public class AdStatOfDayDWD implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 统计日 yyyy-MM-dd（用于 MaxCompute分区）
     */
    @MaxComputeColumn(isPartitioned = true)
    @SerializedName("stat_day")
    private String statDay;

    /**
     * 应用下的账号 id
     */
    @SerializedName("account_id")
    private Long accountId;

    /**
     * 计划 id
     */
    @SerializedName("campaign_id")
    private Long campaignId;

    /**
     * 服务商账号 id
     */
    @SerializedName("agency_account_id")
    private Long agencyAccountId;

    /**
     * 微信账号id
     */
    @SerializedName("wechat_account_id")
    private String wechatAccountId;

    /**
     * 微信服务商id
     */
    @SerializedName("wechat_agency_id")
    private String wechatAgencyId;

    /**
     * 广告组 id
     */
    @SerializedName("adgroup_id")
    private Long adgroupId;

    /**
     * 广告 id
     */
    @SerializedName("ad_id")
    private Long adId;

    /**
     * 记录创建时间
     */
    @SerializedName("create_time")
    private Date createTime;

    /**
     * 当日成本偏差。反映广告今日的实际成本与目标成本直接的差异，注：该项成本相关数据按小时更新，与实时更新的「转化目标成本」数据存在出入属于正常情况。
     */
    @SerializedName("cost_deviation_rate_total")
    private Double costDeviationRateTotal;

    /**
     * 当日成本偏差。反映广告今日的实际成本与目标成本直接的差异，注：该项成本相关数据按小时更新，与实时更新的「转化目标成本」数据存在出入属于正常情况。
     */
    @SerializedName("cost_deviation_rate_day")
    private Double costDeviationRateDay;

    /**
     * 消耗
     */
    @SerializedName("cost_total")
    private Long costTotal;

    /**
     * 消耗
     */
    @SerializedName("cost_day")
    private Long costDay;

    /**
     * 赔付金额。智能优化成本保障政策下，广告超成本时的赔付金额。
     */
    @SerializedName("compensation_amount_total")
    private Long compensationAmountTotal;

    /**
     * 赔付金额。智能优化成本保障政策下，广告超成本时的赔付金额。
     */
    @SerializedName("compensation_amount_day")
    private Long compensationAmountDay;

    /**
     * 曝光次数。用户观看广告的次数。
     */
    @SerializedName("view_count_total")
    private Long viewCountTotal;

    /**
     * 曝光次数。用户观看广告的次数。
     */
    @SerializedName("view_count_day")
    private Long viewCountDay;

    /**
     * 千次曝光成本。平均每千次曝光的花费。
     */
    @SerializedName("thousand_display_price_all")
    private Long thousandDisplayPriceAll;

    /**
     * 千次曝光成本。平均每千次曝光的花费。
     */
    @SerializedName("thousand_display_price_day")
    private Long thousandDisplayPriceDay;

    /**
     * 曝光人数。观看广告的独立用户数。
     */
    @SerializedName("view_user_count_total")
    private Long viewUserCountTotal;

    /**
     * 曝光人数。观看广告的独立用户数。
     */
    @SerializedName("view_user_count_day")
    private Long viewUserCountDay;

    /**
     * 人均曝光次数。每个用户观看广告的平均次数。
     */
    @SerializedName("avg_view_per_user_all")
    private Double avgViewPerUserAll;

    /**
     * 人均曝光次数。每个用户观看广告的平均次数。
     */
    @SerializedName("avg_view_per_user_day")
    private Double avgViewPerUserDay;

    /**
     * 点击次数。用户在广告外层进行点击操作的次数。包括点击图片/视频，及朋友圈广告“文字链、头像、昵称、门店、选择按钮”等所有广告外层区域的点击。
     */
    @SerializedName("valid_click_count_total")
    private Long validClickCountTotal;

    /**
     * 点击次数。用户在广告外层进行点击操作的次数。包括点击图片/视频，及朋友圈广告“文字链、头像、昵称、门店、选择按钮”等所有广告外层区域的点击。
     */
    @SerializedName("valid_click_count_day")
    private Long validClickCountDay;

    /**
     * 点击人数。在广告外层进行点击操作的独立用户数。
     */
    @SerializedName("click_user_count_total")
    private Long clickUserCountTotal;

    /**
     * 点击人数。在广告外层进行点击操作的独立用户数。
     */
    @SerializedName("click_user_count_day")
    private Long clickUserCountDay;

    /**
     * 点击率。看到广告后执行点击操作的百分比。计算逻辑：广告点击次数/广告曝光次数。
     */
    @SerializedName("ctr_all")
    private Double ctrAll;

    /**
     * 点击率。看到广告后执行点击操作的百分比。计算逻辑：广告点击次数/广告曝光次数。
     */
    @SerializedName("ctr_day")
    private Double ctrDay;

    /**
     * 点击均价。一次广告点击的平均花费。计算逻辑：广告花费/广告点击次数。
     */
    @SerializedName("cpc_all")
    private Long cpcAll;

    /**
     * 点击均价。一次广告点击的平均花费。计算逻辑：广告花费/广告点击次数。
     */
    @SerializedName("cpc_day")
    private Long cpcDay;

    /**
     * 可转化点击次数。朋友圈：可转化点击是指可能产生转化的外层点击次数。对于“公众号推广”的广告，包括外层的公众号头像、公众号昵称、详情页查看、原生推广页查看； 对于其他类型的广告，包括外层的详情页查看和原生推广页查看。公众号：可转化点击是指可能产生转化的点击次数。
     */
    @SerializedName("valuable_click_count_total")
    private Long valuableClickCountTotal;

    /**
     * 可转化点击次数。朋友圈：可转化点击是指可能产生转化的外层点击次数。对于“公众号推广”的广告，包括外层的公众号头像、公众号昵称、详情页查看、原生推广页查看； 对于其他类型的广告，包括外层的详情页查看和原生推广页查看。公众号：可转化点击是指可能产生转化的点击次数。
     */
    @SerializedName("valuable_click_count_day")
    private Long valuableClickCountDay;

    /**
     * 可转化点击率。用户看到广告后执行可转化点击操作的百分比。计算逻辑：广告可转化点击次数/广告曝光次数。
     */
    @SerializedName("valuable_click_rate_all")
    private Double valuableClickRateAll;

    /**
     * 可转化点击率。用户看到广告后执行可转化点击操作的百分比。计算逻辑：广告可转化点击次数/广告曝光次数。
     */
    @SerializedName("valuable_click_rate_day")
    private Double valuableClickRateDay;

    /**
     * 可转化点击成本。一次可转化点击的平均花费。计算逻辑：广告花费/可转化点击次数。
     */
    @SerializedName("valuable_click_cost_all")
    private Long valuableClickCostAll;

    /**
     * 可转化点击成本。一次可转化点击的平均花费。计算逻辑：广告花费/可转化点击次数。
     */
    @SerializedName("valuable_click_cost_day")
    private Long valuableClickCostDay;

    /**
     * 转化目标量。「转化目标」的具体数量，代表该广告的转化效果量级。
     */
    @SerializedName("conversions_count_total")
    private Long conversionsCountTotal;

    /**
     * 转化目标量。「转化目标」的具体数量，代表该广告的转化效果量级。
     */
    @SerializedName("conversions_count_day")
    private Long conversionsCountDay;

    /**
     * 转化目标成本。广告产生一次转化目标的平均费用。计算逻辑：广告花费/转化目标量。
     */
    @SerializedName("conversions_cost_all")
    private Long conversionsCostAll;

    /**
     * 转化目标成本。广告产生一次转化目标的平均费用。计算逻辑：广告花费/转化目标量。
     */
    @SerializedName("conversions_cost_day")
    private Long conversionsCostDay;

    /**
     * 目标转化率。朋友圈：转化目标量/可转化点击次数。公众号：转化目标量/点击次数。
     */
    @SerializedName("conversions_rate_all")
    private Double conversionsRateAll;

    /**
     * 目标转化率。朋友圈：转化目标量/可转化点击次数。公众号：转化目标量/点击次数。
     */
    @SerializedName("conversions_rate_day")
    private Double conversionsRateDay;

    /**
     * 深度转化目标量-灰度中。根据您选择的深度智能优化目标，该广告对应的具体数量。部分需接入转化跟踪后可统计。
     */
    @SerializedName("deep_conversions_count_total")
    private Long deepConversionsCountTotal;

    /**
     * 深度转化目标量-灰度中。根据您选择的深度智能优化目标，该广告对应的具体数量。部分需接入转化跟踪后可统计。
     */
    @SerializedName("deep_conversions_count_day")
    private Long deepConversionsCountDay;

    /**
     * 深度转化目标成本-灰度中。根据您选择的深度智能优化目标，该广告产生一次转化的平均费用。计算逻辑：广告花费/深度转化目标量。部分需接入转化跟踪后可统计。
     */
    @SerializedName("deep_conversions_cost_total")
    private Long deepConversionsCostTotal;

    /**
     * 深度转化目标成本-灰度中。根据您选择的深度智能优化目标，该广告产生一次转化的平均费用。计算逻辑：广告花费/深度转化目标量。部分需接入转化跟踪后可统计。
     */
    @SerializedName("deep_conversions_cost_day")
    private Long deepConversionsCostDay;

    /**
     * 深度目标转化率-灰度中。朋友圈：深度转化目标量/可转化点击次数。公众号：深度转化目标量/点击次数。指标随深度转化功能灰度中。接入转化跟踪后可统计。
     */
    @SerializedName("deep_conversions_rate_total")
    private Double deepConversionsRateTotal;

    /**
     * 深度目标转化率-灰度中。朋友圈：深度转化目标量/可转化点击次数。公众号：深度转化目标量/点击次数。指标随深度转化功能灰度中。接入转化跟踪后可统计。
     */
    @SerializedName("deep_conversions_rate_day")
    private Double deepConversionsRateDay;

    /**
     * 关键页面访问人数。点击广告原生落地页的APP跳转按钮，并到达APP内关键页面的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("key_page_uv_total")
    private Long keyPageUvTotal;

    /**
     * 关键页面访问人数。点击广告原生落地页的APP跳转按钮，并到达APP内关键页面的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("key_page_uv_day")
    private Long keyPageUvDay;

    /**
     * 下单量。用户通过该广告进行商品成交（如下单提交、在线支付）的次数。接入转化跟踪后可统计。
     */
    @SerializedName("order_count_total")
    private Long orderCountTotal;

    /**
     * 下单量。用户通过该广告进行商品成交（如下单提交、在线支付）的次数。接入转化跟踪后可统计。
     */
    @SerializedName("order_count_day")
    private Long orderCountDay;

    /**
     * 首日新增下单量。广告推广获取的用户，点击广告当日，带来的下单次数。接入转化跟踪后可统计。
     */
    @SerializedName("first_day_order_count_total")
    private Long firstDayOrderCountTotal;

    /**
     * 首日新增下单量。广告推广获取的用户，点击广告当日，带来的下单次数。接入转化跟踪后可统计。
     */
    @SerializedName("first_day_order_count_day")
    private Long firstDayOrderCountDay;

    /**
     * 下单成本（次数）。产生一次下单的成本。
     */
    @SerializedName("web_order_cost_all")
    private Long webOrderCostAll;

    /**
     * 下单成本（次数）。产生一次下单的成本。
     */
    @SerializedName("web_order_cost_day")
    private Long webOrderCostDay;

    /**
     * 下单率。一次点击到下单的转化率。
     */
    @SerializedName("order_rate_all")
    private Double orderRateAll;

    /**
     * 下单率。一次点击到下单的转化率。
     */
    @SerializedName("order_rate_day")
    private Double orderRateDay;

    /**
     * 下单金额。广告带来的总订单金额（即销售额）。接入转化跟踪后可统计。
     */
    @SerializedName("order_amount_total")
    private Long orderAmountTotal;

    /**
     * 下单金额。广告带来的总订单金额（即销售额）。接入转化跟踪后可统计。
     */
    @SerializedName("order_amount_day")
    private Long orderAmountDay;

    /**
     * 首日新增下单金额。广告推广获取的用户，点击广告当日，带来的总订单金额（即销售额）。接入转化跟踪后可统计。
     */
    @SerializedName("first_day_order_amount_total")
    private Long firstDayOrderAmountTotal;

    /**
     * 首日新增下单金额。广告推广获取的用户，点击广告当日，带来的总订单金额（即销售额）。接入转化跟踪后可统计。
     */
    @SerializedName("first_day_order_amount_day")
    private Long firstDayOrderAmountDay;

    /**
     * 下单客单价。下单金额/下单量。接入转化跟踪后可统计。
     */
    @SerializedName("order_unit_price_all")
    private Long orderUnitPriceAll;

    /**
     * 下单客单价。下单金额/下单量。接入转化跟踪后可统计。
     */
    @SerializedName("order_unit_price_day")
    private Long orderUnitPriceDay;

    /**
     * 下单ROI。下单金额/广告花费。接入转化跟踪后可统计。
     */
    @SerializedName("order_roi_all")
    private Double orderRoiAll;

    /**
     * 下单ROI。下单金额/广告花费。接入转化跟踪后可统计。
     */
    @SerializedName("order_roi_day")
    private Double orderRoiDay;

    /**
     * 签收次数。签收从广告主处购买的商品的次数。接入转化跟踪后可统计。
     */
    @SerializedName("sign_in_count_total")
    private Long signInCountTotal;

    /**
     * 签收次数。签收从广告主处购买的商品的次数。接入转化跟踪后可统计。
     */
    @SerializedName("sign_in_count_day")
    private Long signInCountDay;

    /**
     * 加收藏次数。用户将广告主商品加入收藏的次数，接入转化跟踪后可统计。
     */
    @SerializedName("add_wishlist_count_total")
    private Long addWishlistCountTotal;

    /**
     * 加收藏次数。用户将广告主商品加入收藏的次数，接入转化跟踪后可统计。
     */
    @SerializedName("add_wishlist_count_day")
    private Long addWishlistCountDay;

    /**
     * 商品详情页浏览人数。浏览广告主商品详情页的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("view_commodity_page_uv_total")
    private Long viewCommodityPageUvTotal;

    /**
     * 商品详情页浏览人数。浏览广告主商品详情页的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("view_commodity_page_uv_day")
    private Long viewCommodityPageUvDay;

    /**
     * 销售线索次数。广告带来的用户销售线索数量。H5推广需接入转化跟踪后可统计。
     */
    @SerializedName("page_reservation_count_total")
    private Long pageReservationCountTotal;

    /**
     * 销售线索次数。广告带来的用户销售线索数量。H5推广需接入转化跟踪后可统计。
     */
    @SerializedName("page_reservation_count_day")
    private Long pageReservationCountDay;

    /**
     * 首次付费人数。广告带来的有付费行为的销售线索数量按用户去重，同一个用户多次提交仅计算一次（原付费销售线索人数）。H5推广需接入转化跟踪后可统计。
     */
    @SerializedName("leads_purchase_uv_total")
    private Long leadsPurchaseUvTotal;

    /**
     * 首次付费人数。广告带来的有付费行为的销售线索数量按用户去重，同一个用户多次提交仅计算一次（原付费销售线索人数）。H5推广需接入转化跟踪后可统计。
     */
    @SerializedName("leads_purchase_uv_day")
    private Long leadsPurchaseUvDay;

    /**
     * 首次付费成本（人数）。产生一个首次付费用户的成本（原付费销售线索成本）。H5推广需接入转化跟踪后可统计。
     */
    @SerializedName("leads_purchase_cost_all")
    private Long leadsPurchaseCostAll;

    /**
     * 首次付费成本（人数）。产生一个首次付费用户的成本（原付费销售线索成本）。H5推广需接入转化跟踪后可统计。
     */
    @SerializedName("leads_purchase_cost_day")
    private Long leadsPurchaseCostDay;

    /**
     * 首次付费转化率（人数）。一次点击到产生一个首次付费用户的转化率（原付费销售线索转化率）。H5推广需接入转化跟踪后可统计。
     */
    @SerializedName("leads_purchase_rate_all")
    private Double leadsPurchaseRateAll;

    /**
     * 首次付费转化率（人数）。一次点击到产生一个首次付费用户的转化率（原付费销售线索转化率）。H5推广需接入转化跟踪后可统计。
     */
    @SerializedName("leads_purchase_rate_day")
    private Double leadsPurchaseRateDay;

    /**
     * 加企业微信客服人数。添加企业微信好友成功的独立用户数。
     */
    @SerializedName("scan_follow_count_total")
    private Long scanFollowCountTotal;

    /**
     * 加企业微信客服人数。添加企业微信好友成功的独立用户数。
     */
    @SerializedName("scan_follow_count_day")
    private Long scanFollowCountDay;

    /**
     * 小游戏注册人数。通过广告首次登录小游戏的独立用户数。
     */
    @SerializedName("wechat_app_register_uv_total")
    private Long wechatAppRegisterUvTotal;

    /**
     * 小游戏注册人数。通过广告首次登录小游戏的独立用户数。
     */
    @SerializedName("wechat_app_register_uv_day")
    private Long wechatAppRegisterUvDay;

    /**
     * 小游戏注册成本（人数）。产生一个小游戏注册人数的成本。
     */
    @SerializedName("wechat_minigame_register_cost_total")
    private Long wechatMinigameRegisterCostTotal;

    /**
     * 小游戏注册成本（人数）。产生一个小游戏注册人数的成本。
     */
    @SerializedName("wechat_minigame_register_cost_day")
    private Long wechatMinigameRegisterCostDay;

    /**
     * 小游戏注册率。一次点击到小游戏注册的转化率。
     */
    @SerializedName("wechat_minigame_register_rate_all")
    private Double wechatMinigameRegisterRateAll;

    /**
     * 小游戏注册率。一次点击到小游戏注册的转化率。
     */
    @SerializedName("wechat_minigame_register_rate_day")
    private Double wechatMinigameRegisterRateDay;

    /**
     * 首日新增广告ARPU。广告带来的注册用户，在注册当日，产生的平均广告变现收入。注：该指标天更新，可以查看昨天及以前的数据。
     */
    @SerializedName("wechat_minigame_arpu_all")
    private Double wechatMinigameArpuAll;

    /**
     * 首日新增广告ARPU。广告带来的注册用户，在注册当日，产生的平均广告变现收入。注：该指标天更新，可以查看昨天及以前的数据。
     */
    @SerializedName("wechat_minigame_arpu_day")
    private Double wechatMinigameArpuDay;

    /**
     * 小游戏次留人数。通过广告首次登录小游戏，并在第二天再次登录的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("wechat_minigame_retention_count_total")
    private Long wechatMinigameRetentionCountTotal;

    /**
     * 小游戏次留人数。通过广告首次登录小游戏，并在第二天再次登录的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("wechat_minigame_retention_count_day")
    private Long wechatMinigameRetentionCountDay;

    /**
     * 小游戏付费次数。通过广告进入小游戏并完成付费的次数。接入转化跟踪后可统计。
     */
    @SerializedName("wechat_minigame_checkout_count_total")
    private Long wechatMinigameCheckoutCountTotal;

    /**
     * 小游戏付费次数。通过广告进入小游戏并完成付费的次数。接入转化跟踪后可统计。
     */
    @SerializedName("wechat_minigame_checkout_count_day")
    private Long wechatMinigameCheckoutCountDay;

    /**
     * 小游戏付费金额。通过广告进入小游戏并完成付费的金额。接入转化跟踪后可统计。
     */
    @SerializedName("wechat_minigame_checkout_amount_total")
    private Long wechatMinigameCheckoutAmountTotal;

    /**
     * 小游戏付费金额。通过广告进入小游戏并完成付费的金额。接入转化跟踪后可统计。
     */
    @SerializedName("wechat_minigame_checkout_amount_day")
    private Long wechatMinigameCheckoutAmountDay;

    /**
     * 公众号关注次数。用户通过广告关注公众号成功的次数。
     */
    @SerializedName("official_account_follow_count_total")
    private Long officialAccountFollowCountTotal;

    /**
     * 公众号关注次数。用户通过广告关注公众号成功的次数。
     */
    @SerializedName("official_account_follow_count_day")
    private Long officialAccountFollowCountDay;

    /**
     * 公众号关注成本（次数）。产生一次公众号关注的成本。
     */
    @SerializedName("official_account_follow_cost_all")
    private Long officialAccountFollowCostAll;

    /**
     * 公众号关注成本（次数）。产生一次公众号关注的成本。
     */
    @SerializedName("official_account_follow_cost_day")
    private Long officialAccountFollowCostDay;

    /**
     * 公众号关注率。一次点击到公众号关注的转化率。
     */
    @SerializedName("official_account_follow_rate_all")
    private Double officialAccountFollowRateAll;

    /**
     * 公众号关注率。一次点击到公众号关注的转化率。
     */
    @SerializedName("official_account_follow_rate_day")
    private Double officialAccountFollowRateDay;

    /**
     * 公众号内注册人数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的注册行为的人数（UV）。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_user_count_total")
    private Long officialAccountRegisterUserCountTotal;

    /**
     * 公众号内注册人数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的注册行为的人数（UV）。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_user_count_day")
    private Long officialAccountRegisterUserCountDay;

    /**
     * 公众号内注册比例。公众号内注册独立用户数/公众号关注次数。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_rate_all")
    private Double officialAccountRegisterRateAll;

    /**
     * 公众号内注册比例。公众号内注册独立用户数/公众号关注次数。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_rate_day")
    private Double officialAccountRegisterRateDay;

    /**
     * 公众号内注册成本。广告花费/广告产生的注册行为数量。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_cost_all")
    private Long officialAccountRegisterCostAll;

    /**
     * 公众号内注册成本。广告花费/广告产生的注册行为数量。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_cost_day")
    private Long officialAccountRegisterCostDay;

    /**
     * 公众号内注册订单金额。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的订单行为的订单金额（即销售额）。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_amount_total")
    private Long officialAccountRegisterAmountTotal;

    /**
     * 公众号内注册订单金额。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的订单行为的订单金额（即销售额）。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_amount_day")
    private Long officialAccountRegisterAmountDay;

    /**
     * 公众号内注册ROI。注册产生的订单金额累计/广告花费。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_roi_all")
    private Long officialAccountRegisterRoiAll;

    /**
     * 公众号内注册ROI。注册产生的订单金额累计/广告花费。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_register_roi_day")
    private Long officialAccountRegisterRoiDay;

    /**
     * 公众号内填单次数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的填单行为的数量。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_apply_count_total")
    private Long officialAccountApplyCountTotal;

    /**
     * 公众号内填单次数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的填单行为的数量。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_apply_count_day")
    private Long officialAccountApplyCountDay;

    /**
     * 公众号内填单人数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的填单行为的独立用户数。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_apply_user_count_total")
    private Long officialAccountApplyUserCountTotal;

    /**
     * 公众号内填单人数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的填单行为的独立用户数。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_apply_user_count_day")
    private Long officialAccountApplyUserCountDay;

    /**
     * 公众号内填单比例。公众号内填单的独立用户数/公众号关注次数。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_apply_rate_all")
    private Double officialAccountApplyRateAll;

    /**
     * 公众号内填单比例。公众号内填单的独立用户数/公众号关注次数。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_apply_rate_day")
    private Double officialAccountApplyRateDay;

    /**
     * 公众号内填单成本。广告花费/广告产生的填单行为数量。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_apply_cost_all")
    private Long officialAccountApplyCostAll;

    /**
     * 公众号内填单成本。广告花费/广告产生的填单行为数量。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_apply_cost_day")
    private Long officialAccountApplyCostDay;

    /**
     * 公众号内填单金额。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的填单行为的订单金额（即销售额）。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_apply_amount_total")
    private Long officialAccountApplyAmountTotal;

    /**
     * 公众号内填单金额。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的填单行为的订单金额（即销售额）。接入转化跟踪后可统计(公众号接入暂未全量开放)。
     */
    @SerializedName("official_account_apply_amount_day")
    private Long officialAccountApplyAmountDay;

    /**
     * 公众号内填单ROI。填单产生的订单金额累计/广告花费。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_apply_roi_all")
    private Long officialAccountApplyRoiAll;

    /**
     * 公众号内填单ROI。填单产生的订单金额累计/广告花费。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_apply_roi_day")
    private Long officialAccountApplyRoiDay;

    /**
     * 公众号内下单次数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的下单行为的数量。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_count_total")
    private Long officialAccountOrderCountTotal;

    /**
     * 公众号内下单次数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的下单行为的数量。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_count_day")
    private Long officialAccountOrderCountDay;

    /**
     * 首日公众号内下单次数。广告推广获取的用户，在关注公众号当日，在公众号内部产生了广告主定义的下单行为数量。接入转化跟踪后可统计。
     */
    @SerializedName("official_account_first_day_order_count_total")
    private Long officialAccountFirstDayOrderCountTotal;

    /**
     * 首日公众号内下单次数。广告推广获取的用户，在关注公众号当日，在公众号内部产生了广告主定义的下单行为数量。接入转化跟踪后可统计。
     */
    @SerializedName("official_account_first_day_order_count_day")
    private Long officialAccountFirstDayOrderCountDay;

    /**
     * 公众号内下单人数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的下单行为的独立用户数。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_user_count_total")
    private Long officialAccountOrderUserCountTotal;

    /**
     * 公众号内下单人数。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的下单行为的独立用户数。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_user_count_day")
    private Long officialAccountOrderUserCountDay;

    /**
     * 公众号内下单比例。公众号内下单独立用户数（UV）/公众号关注次数。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_rate_all")
    private Double officialAccountOrderRateAll;

    /**
     * 公众号内下单比例。公众号内下单独立用户数（UV）/公众号关注次数。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_rate_day")
    private Double officialAccountOrderRateDay;

    /**
     * 公众号内下单成本。广告花费/广告产生的下单行为数量。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_cost_all")
    private Long officialAccountOrderCostAll;

    /**
     * 公众号内下单成本。广告花费/广告产生的下单行为数量。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_cost_day")
    private Long officialAccountOrderCostDay;

    /**
     * 公众号内下单金额。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的下单行为的订单金额（即销售额）。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_amount_total")
    private Long officialAccountOrderAmountTotal;

    /**
     * 公众号内下单金额。用户通过关注类广告关注公众号后，在公众号内部产生了广告主定义的下单行为的订单金额（即销售额）。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_amount_day")
    private Long officialAccountOrderAmountDay;

    /**
     * 首日公众号内下单金额。广告推广获取的用户，在关注公众号当日，在公众号内部产生了广告主定义的下单行为订单金额（即销售额）。接入转化跟踪后可统计。
     */
    @SerializedName("official_account_first_day_order_amount_total")
    private Long officialAccountFirstDayOrderAmountTotal;

    /**
     * 首日公众号内下单金额。广告推广获取的用户，在关注公众号当日，在公众号内部产生了广告主定义的下单行为订单金额（即销售额）。接入转化跟踪后可统计。
     */
    @SerializedName("official_account_first_day_order_amount_day")
    private Long officialAccountFirstDayOrderAmountDay;

    /**
     * 公众号内下单ROI。下单产生的订单金额累计/广告花费。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_roi_all")
    private Long officialAccountOrderRoiAll;

    /**
     * 公众号内下单ROI。下单产生的订单金额累计/广告花费。接入转化跟踪后可统计(公众号接入暂未全量开放) 。
     */
    @SerializedName("official_account_order_roi_day")
    private Long officialAccountOrderRoiDay;

    /**
     * 公众号内发消息人数。用户关注公众号后，在公众号对话框内发送消息的独立用户数。
     */
    @SerializedName("official_account_consult_count_total")
    private Long officialAccountConsultCountTotal;

    /**
     * 公众号内发消息人数。用户关注公众号后，在公众号对话框内发送消息的独立用户数。
     */
    @SerializedName("official_account_consult_count_day")
    private Long officialAccountConsultCountDay;

    /**
     * 阅读粉丝量。近3日新增的粉丝中产生阅读行为的用户数。
     */
    @SerializedName("official_account_reader_count_total")
    private Long officialAccountReaderCountTotal;

    /**
     * 阅读粉丝量。近3日新增的粉丝中产生阅读行为的用户数。
     */
    @SerializedName("official_account_reader_count_day")
    private Long officialAccountReaderCountDay;

    /**
     * 公众号内进件人数。在公众号内完整提交贷款申请资料的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("official_account_credit_apply_user_count_total")
    private Long officialAccountCreditApplyUserCountTotal;

    /**
     * 公众号内进件人数。在公众号内完整提交贷款申请资料的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("official_account_credit_apply_user_count_day")
    private Long officialAccountCreditApplyUserCountDay;

    /**
     * 公众号内授信人数。在公众号内完整提交贷款申请资料，并通过放款方的资质审核的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("official_account_credit_user_count_total")
    private Long officialAccountCreditUserCountTotal;

    /**
     * 公众号内授信人数。在公众号内完整提交贷款申请资料，并通过放款方的资质审核的独立用户数。接入转化跟踪后可统计。
     */
    @SerializedName("official_account_credit_user_count_day")
    private Long officialAccountCreditUserCountDay;

    /**
     * 广告分享次数。用户将广告落地页分享给好友和朋友圈的次数。
     */
    @SerializedName("forward_count_total")
    private Long forwardCountTotal;

    /**
     * 广告分享次数。用户将广告落地页分享给好友和朋友圈的次数。
     */
    @SerializedName("forward_count_day")
    private Long forwardCountDay;

    /**
     * 广告分享人数。将广告落地页分享给好友和朋友圈的独立用户数。
     */
    @SerializedName("forward_user_count_total")
    private Long forwardUserCountTotal;

    /**
     * 广告分享人数。将广告落地页分享给好友和朋友圈的独立用户数。
     */
    @SerializedName("forward_user_count_day")
    private Long forwardUserCountDay;

    /**
     * 不感兴趣点击次数。用户点击“不感兴趣”的次数。
     */
    @SerializedName("no_interest_count_total")
    private Long noInterestCountTotal;

    /**
     * 不感兴趣点击次数。用户点击“不感兴趣”的次数。
     */
    @SerializedName("no_interest_count_day")
    private Long noInterestCountDay;

    public static AdStatOfDayDWD byOds(AdDataOfDayODS dayOds) {
        AdStatOfDayDWD adStatOfDay = new AdStatOfDayDWD();
        adStatOfDay.setStatDay(dayOds.getStatDay());
        adStatOfDay.setAccountId(dayOds.getAccountId());
        adStatOfDay.setCampaignId(dayOds.getCampaignId());
        adStatOfDay.setAgencyAccountId(dayOds.getAgencyAccountId());
        adStatOfDay.setWechatAccountId(dayOds.getWechatAccountId());
        adStatOfDay.setWechatAgencyId(dayOds.getWechatAgencyId());
        adStatOfDay.setAdgroupId(dayOds.getAdgroupId());
        adStatOfDay.setAdId(dayOds.getAdId());
        adStatOfDay.setCreateTime(new Date());
        adStatOfDay.setCostDeviationRateDay(dayOds.getCostDeviationRate());
        adStatOfDay.setCostDay(dayOds.getCost());
        adStatOfDay.setCompensationAmountDay(dayOds.getCompensationAmount());
        adStatOfDay.setViewCountDay(dayOds.getViewCount());
        adStatOfDay.setThousandDisplayPriceDay(dayOds.getThousandDisplayPrice());
        adStatOfDay.setViewUserCountDay(dayOds.getViewUserCount());
        adStatOfDay.setAvgViewPerUserDay(dayOds.getAvgViewPerUser());
        adStatOfDay.setValidClickCountDay(dayOds.getValidClickCount());
        adStatOfDay.setClickUserCountDay(dayOds.getClickUserCount());
        adStatOfDay.setCtrDay(dayOds.getCtr());
        adStatOfDay.setCpcDay(dayOds.getCpc());
        adStatOfDay.setValuableClickCountDay(dayOds.getValuableClickCount());
        adStatOfDay.setValuableClickRateDay(dayOds.getValuableClickRate());
        adStatOfDay.setValuableClickCostDay(dayOds.getValuableClickCost());
        adStatOfDay.setConversionsCountDay(dayOds.getConversionsCount());
        adStatOfDay.setConversionsCostDay(dayOds.getConversionsCost());
        adStatOfDay.setConversionsRateDay(dayOds.getConversionsRate());
        adStatOfDay.setDeepConversionsCountDay(dayOds.getDeepConversionsCount());
        adStatOfDay.setDeepConversionsCostDay(dayOds.getDeepConversionsCost());
        adStatOfDay.setDeepConversionsRateDay(dayOds.getDeepConversionsRate());
        adStatOfDay.setKeyPageUvDay(dayOds.getKeyPageUv());
        adStatOfDay.setOrderCountDay(dayOds.getOrderCount());
        adStatOfDay.setFirstDayOrderCountDay(dayOds.getFirstDayOrderCount());
        adStatOfDay.setWebOrderCostDay(dayOds.getWebOrderCost());
        adStatOfDay.setOrderRateDay(dayOds.getOrderRate());
        adStatOfDay.setOrderAmountDay(dayOds.getOrderAmount());
        adStatOfDay.setFirstDayOrderAmountDay(dayOds.getFirstDayOrderAmount());
        adStatOfDay.setOrderUnitPriceDay(dayOds.getOrderUnitPrice());
        adStatOfDay.setOrderRoiDay(dayOds.getOrderRoi());
        adStatOfDay.setSignInCountDay(dayOds.getSignInCount());
        adStatOfDay.setAddWishlistCountDay(dayOds.getAddWishlistCount());
        adStatOfDay.setViewCommodityPageUvDay(dayOds.getViewCommodityPageUv());
        adStatOfDay.setPageReservationCountDay(dayOds.getPageReservationCount());
        adStatOfDay.setLeadsPurchaseUvDay(dayOds.getLeadsPurchaseUv());
        adStatOfDay.setLeadsPurchaseCostDay(dayOds.getLeadsPurchaseCost());
        adStatOfDay.setLeadsPurchaseRateDay(dayOds.getLeadsPurchaseRate());
        adStatOfDay.setScanFollowCountDay(dayOds.getScanFollowCount());
        adStatOfDay.setWechatAppRegisterUvDay(dayOds.getWechatAppRegisterUv());
        adStatOfDay.setWechatMinigameRegisterCostDay(dayOds.getWechatMinigameRegisterCost());
        adStatOfDay.setWechatMinigameRegisterRateDay(dayOds.getWechatMinigameRegisterRate());
        adStatOfDay.setWechatMinigameArpuDay(dayOds.getWechatMinigameArpu());
        adStatOfDay.setWechatMinigameRetentionCountDay(dayOds.getWechatMinigameRetentionCount());
        adStatOfDay.setWechatMinigameCheckoutCountDay(dayOds.getWechatMinigameCheckoutCount());
        adStatOfDay.setWechatMinigameCheckoutAmountDay(dayOds.getWechatMinigameCheckoutAmount());
        adStatOfDay.setOfficialAccountFollowCountDay(dayOds.getOfficialAccountFollowCount());
        adStatOfDay.setOfficialAccountFollowCostDay(dayOds.getOfficialAccountFollowCost());
        adStatOfDay.setOfficialAccountFollowRateDay(dayOds.getOfficialAccountFollowRate());
        adStatOfDay.setOfficialAccountRegisterUserCountDay(dayOds.getOfficialAccountRegisterUserCount());
        adStatOfDay.setOfficialAccountRegisterRateDay(dayOds.getOfficialAccountRegisterRate());
        adStatOfDay.setOfficialAccountRegisterCostDay(dayOds.getOfficialAccountRegisterCost());
        adStatOfDay.setOfficialAccountRegisterAmountDay(dayOds.getOfficialAccountRegisterAmount());
        adStatOfDay.setOfficialAccountRegisterRoiDay(dayOds.getOfficialAccountRegisterRoi());
        adStatOfDay.setOfficialAccountApplyCountDay(dayOds.getOfficialAccountApplyCount());
        adStatOfDay.setOfficialAccountApplyUserCountDay(dayOds.getOfficialAccountApplyUserCount());
        adStatOfDay.setOfficialAccountApplyRateDay(dayOds.getOfficialAccountApplyRate());
        adStatOfDay.setOfficialAccountApplyCostDay(dayOds.getOfficialAccountApplyCost());
        adStatOfDay.setOfficialAccountApplyAmountDay(dayOds.getOfficialAccountApplyAmount());
        adStatOfDay.setOfficialAccountApplyRoiDay(dayOds.getOfficialAccountApplyRoi());
        adStatOfDay.setOfficialAccountOrderCountDay(dayOds.getOfficialAccountOrderCount());
        adStatOfDay.setOfficialAccountFirstDayOrderCountDay(dayOds.getOfficialAccountFirstDayOrderCount());
        adStatOfDay.setOfficialAccountOrderUserCountDay(dayOds.getOfficialAccountOrderUserCount());
        adStatOfDay.setOfficialAccountOrderRateDay(dayOds.getOfficialAccountOrderRate());
        adStatOfDay.setOfficialAccountOrderCostDay(dayOds.getOfficialAccountOrderCost());
        adStatOfDay.setOfficialAccountOrderAmountDay(dayOds.getOfficialAccountOrderAmount());
        adStatOfDay.setOfficialAccountFirstDayOrderAmountDay(dayOds.getOfficialAccountFirstDayOrderAmount());
        adStatOfDay.setOfficialAccountOrderRoiDay(dayOds.getOfficialAccountOrderRoi());
        adStatOfDay.setOfficialAccountConsultCountDay(dayOds.getOfficialAccountConsultCount());
        adStatOfDay.setOfficialAccountReaderCountDay(dayOds.getOfficialAccountReaderCount());
        adStatOfDay.setOfficialAccountCreditApplyUserCountDay(dayOds.getOfficialAccountCreditApplyUserCount());
        adStatOfDay.setOfficialAccountCreditUserCountDay(dayOds.getOfficialAccountCreditUserCount());
        adStatOfDay.setForwardCountDay(dayOds.getForwardCount());
        adStatOfDay.setForwardUserCountDay(dayOds.getForwardUserCount());
        adStatOfDay.setNoInterestCountDay(dayOds.getNoInterestCount());
        return adStatOfDay;
    }
}
